> ## Documentation Index
> Fetch the complete documentation index at: https://docs.caspen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all availability slots



## OpenAPI

````yaml GET /availability_slots
openapi: 3.1.0
info:
  title: Caspen
  version: 0.0.1
servers:
  - url: https://api.caspen.com/v1
    description: Production
security: []
paths:
  /availability_slots:
    get:
      tags:
        - AvailabilitySlot
      operationId: availabilitySlot.index
      parameters:
        - name: location_id
          in: query
          required: true
          schema:
            type: string
        - name: service_id
          in: query
          required: true
          schema:
            type: string
        - name: practitioner_id
          in: query
          required: true
          schema:
            type: string
        - name: date
          in: query
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: '`AvailabilitySlotCollection`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailabilitySlotCollection'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AvailabilitySlotCollection:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AvailabilitySlotResource'
      required:
        - data
      title: AvailabilitySlotCollection
    AvailabilitySlotResource:
      type: object
      properties:
        start_time_local:
          type: string
          description: The start time in local timezone.
          examples:
            - '09:00'
        start_date_local:
          type: string
          description: The start date in local timezone.
          examples:
            - '2024-01-15'
        local_timezone:
          type: string
          description: The local timezone for this slot.
          examples:
            - Australia/Sydney
        start_datetime_utc:
          type: string
          description: The start datetime in UTC timezone (ISO 8601).
          examples:
            - '2024-01-14T22:00:00Z'
      title: AvailabilitySlotResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````